aboutsummaryrefslogtreecommitdiffstats
path: root/deployed-server/deployed-server-bootstrap-rhel.sh
diff options
context:
space:
mode:
authorJames Slagle <jslagle@redhat.com>2017-01-26 15:06:46 -0500
committerJames Slagle <jslagle@redhat.com>2017-01-26 15:06:46 -0500
commit5461971b7e43d5bdaf9a9374e59683a21767be6e (patch)
tree8f7bd7261d60ac7e7f433626554c7e60b2f23190 /deployed-server/deployed-server-bootstrap-rhel.sh
parent98d1795278a79eff606153ed380b03e621cd61c4 (diff)
Add deployed server bootstrap for RHEL
This is similar to the bootstrap for CentOS, except we don't set SELinux to permissive on RHEL. Change-Id: I52b8fa017ee2821d2fa91e5ec806a55fcb92566d Partially-implements: blueprint split-stack-software-configuration
Diffstat (limited to 'deployed-server/deployed-server-bootstrap-rhel.sh')
-rw-r--r--deployed-server/deployed-server-bootstrap-rhel.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/deployed-server/deployed-server-bootstrap-rhel.sh b/deployed-server/deployed-server-bootstrap-rhel.sh
new file mode 100644
index 0000000..36ff007
--- /dev/null
+++ b/deployed-server/deployed-server-bootstrap-rhel.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+set -eux
+
+yum install -y \
+ jq \
+ python-ipaddr \
+ openstack-puppet-modules \
+ os-net-config \
+ openvswitch \
+ python-heat-agent*
+
+ln -s -f /usr/share/openstack-puppet/modules/* /etc/puppet/modules